<%= form_with(model: [@quiz, question]) do |form| %>
  <% if question.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(question.errors.count, "error") %> prohibited this question from being saved:</h2>
      <ul>
        <% question.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :title %>
    <%= form.text_field :title %>
  </div>

  <!-- Multiple Choice Options Fields with Radio Buttons for Correct Answer -->
  <% (1..4).each do |index| %>
    <div class="field">
      <%= form.label "option_#{index}" %>
      <%= form.text_field :options, name: "question[options][]", id: "question_options_#{index}" %>
      <%= form.radio_button :correct_answer, index, id: "question_correct_answer_#{index}" %>
      <%= form.label :correct_answer, index, value: index, for: "question_correct_answer_#{index}" %>
    </div>
  <% end %>

  <div>
    <%= form.submit %>
  </div>
<% end %>
